cancel
Showing results for 
Search instead for 
Did you mean: 
cancel
1947
Views
5
Helpful
3
Replies

voice gateway

Ana68
Level 1
Level 1

Hello,

 

I try to configure a Voice gateway (VG204). I've just updated my GW with this Firmware :  vg20x-ipvoice-mz.151-4.M12a.bin.   (this is Actually what I've found for updating my Account). 

 

As I try to config the certifications, I've got an error, that this is a Invalid Paramet on Crypto. 

"crypto key generate rsa modulus 2048 label SRTPKey".

 

Any Idea?

1 Accepted Solution

Accepted Solutions

Andrew Skelly
Level 7
Level 7

That version of firmware does not have Crypto on it.  Per the firmware download page for the VG204:

 
IP VOICE W/O CRYPTO
vg20x-ipvoice-mz.151-4.M12a.bin
 
For crypto you want a firmware with "K9" in the name.  That is the Crypto version.  For the VG204 it looks like the most recent version is:  vg20x-advipservicesk9-mz.151-3.T4.bin
 
You can find the downloads for the firmware here in case you need it:
Please rate helpful posts by clicking the thumbs up!

View solution in original post

3 Replies 3

Andrew Skelly
Level 7
Level 7

That version of firmware does not have Crypto on it.  Per the firmware download page for the VG204:

 
IP VOICE W/O CRYPTO
vg20x-ipvoice-mz.151-4.M12a.bin
 
For crypto you want a firmware with "K9" in the name.  That is the Crypto version.  For the VG204 it looks like the most recent version is:  vg20x-advipservicesk9-mz.151-3.T4.bin
 
You can find the downloads for the firmware here in case you need it:
Please rate helpful posts by clicking the thumbs up!

Looticrous
Level 1
Level 1

Hi, I am looking for the vg20x-ipvoice-mz.151-4.M12a.bin firmware, it is not available to download from Cisco anymore (EOL)

If someone still has it, can you post a link to it please

Please post your off-topic question to the OP topic in your own post.



Response Signature